function input = set_input_parameters(u_inf, ...
                                      dt, ...
                                      num_modes, ...
                                      num_aero_states, ...
                                      rbm_considered, ...
                                      flight_time, ...
                                      num_control_surfaces, ...
                                      n_nodes, ...
                                      control_input_start, ...
                                      gust_input_start)


%set_input_parameters Save input settings to struct.
%   This function returns a struct that contains all necessary input
%   settings to adjust the state space model for the control design.
input.u_inf = u_inf;
input.num_modes = num_modes;
input.num_aero_states = num_aero_states;
input.rbm = rbm_considered; 
input.flight_time = flight_time;
input.num_control_surfaces = num_control_surfaces;
input.rbm = rbm_considered;
input.dt = dt;

%% Set indices
input.index.control_input_start = control_input_start;
input.index.gust_input_start = gust_input_start;
input.index.tip_displacement = n_nodes * 6 + n_nodes / 2 * 6 - 3; % forces + right wing nodes
