# Publications

SHARPy has been used in many technical papers that have been both published in Journals and presented at conferences.
Here we present a list of past papers which have used SHARPy for research purposes:

## 2022

* Goizueta, N. (2022). Parametric reduced-order aeroelastic modelling for analysis, dynamic system interpolation and control of flexible aircraft. PhD Thesis. [http://doi.org/10.25560/100137](http://doi.org/10.25560/100137)

* Goizueta, N., Wynn, A., & Palacios, R. (2022). Adaptive sampling for interpolation of reduced-order aeroelastic dynamical systems. AIAA Journal. Article in Advance. [https://doi.org/10.2514/1.J062050](https://doi.org/10.2514/1.J062050)

* Muñoz Simón, A. (2022). Vortex-lattice-based nonlinear aeroservoelastic modelling and analysis of large floating wind turbines. PhD Thesis. [https://doi.org/10.25560/96986](https://doi.org/10.25560/96986)

* Goizueta, N., Wynn, A., Palacios, R., Drachinsky, A., & Raveh, D. E. (2022). Flutter Predictions for Very Flexible Wing Wind Tunnel Test. Journal of Aircraft: 59(4), pp. 1082-1097. [https://doi.org/10.2514/1.C036710](https://doi.org/10.2514/1.C036710)

* Düssler, S., Goizueta, N., Muñoz-Simón, A., &#38; Palacios, R. (2022). Modelling and Numerical Enhancements on a UVLM for Nonlinear Aeroelastic Simulation. AIAA SciTech Forum. [https://doi.org/10.2514/6.2022-2455](https://doi.org/10.2514/6.2022-2455)

* Cea, A., Palacios, R. (2022). Parametric Reduced Order Models for Aeroelastic Design of Very Flexible Aircraft. AIAA SciTech Forum. [https://doi.org/10.2514/6.2022-0727](https://doi.org/10.2514/6.2022-0727)

* Wynn, A., Artola, M., Palacios, R. (2022). Nonlinear optimal control for gust load alleviation with a physics-constrained data-driven internal model. AIAA SciTech Forum. [https://doi.org/10.2514/6.2022-0442](https://doi.org/10.2514/6.2022-0442)

* Goizueta, N., Wynn, A., Palacios, R. (2022). Fast flutter evaluation of very flexible wing using interpolation on an optimal training dataset. In AIAA SciTech Forum, AIAA Paper 2022-1345. [https://doi.org/10.2514/6.2022-1345](https://doi.org/10.2514/6.2022-1345)

## 2021

* Artola, M., Goizueta, N., Wynn, A., & Palacios, R. (2021). Aeroelastic Control and Estimation with a Minimal 
Nonlinear Modal Description. AIAA Journal: 59(7), pp. 2697–2713. [https://doi.org/10.2514/1.j060018](https://doi.org/10.2514/1.j060018)

* Artola, M., Goizueta, N., Wynn, A., & Palacios, R. (2021). Proof of Concept for a Hardware-in-the-Loop Nonlinear. 
In AIAA SciTech Forum (pp. 1–26). [https://doi.org/10.2514/6.2021-1392](https://doi.org/10.2514/6.2021-1392)

* Goizueta, N., Drachinsky, A., Wynn, A., Raveh, D. E., & Palacios, R. (2021). Flutter prediction for a very 
flexible wing wind tunnel test. In AIAA SciTech Forum (pp. 1–17). 
[https://doi.org/10.2514/6.2021-1711](https://doi.org/10.2514/6.2021-1711)

* Goizueta, N., Wynn, A., & Palacios, R. (2021). Parametric Krylov-based order reduction of aircraft aeroelastic 
models. In AIAA SciTech Forum (pp. 1–25). [https://doi.org/10.2514/6.2021-1798](https://doi.org/10.2514/6.2021-1798)

## 2020

* del Carre, A. (2020). Aeroelasticity of very flexible aircraft at low altitudes. PhD Thesis. [https://doi.org/10.25560/88269](https://doi.org/10.25560/88269)

* Muñoz-Simón, A., Palacios, R., & Wynn, A. (2020). Benchmarking different fidelities in wind turbine aerodynamics 
under yaw. Journal of Physics: Conference Series, 1618, 42017. 
[https://doi.org/10.1088/1742-6596/1618/4/042017](https://doi.org/10.1088/1742-6596/1618/4/042017)

* del Carre, A., & Palacios, R. (2020). Simulation and Optimization of Takeoff Maneuvers of Very Flexible Aircraft. 
Journal of Aircraft: 57(6)
1097-1110. [https://doi.org/10.2514/1.C035901](https://doi.org/10.2514/1.C035901)

* Maraniello, S. & Palacios, R. (2020). Parametric Reduced-Order Modeling of the Unsteady Vortex-Lattice Method. 
AIAA Journal, 58(5), 2206-2220. [https://doi.org/10.2514/1.J058894](https://doi.org/10.2514/1.J058894)

* Deskos, G., del Carre, A., & Palacios, R. (2020). Assessment of low-altitude atmospheric 
turbulence models for aircraft aeroelasticity. Journal of Fluids and Structures, 95, 102981.
[https://doi.org/10.1016/j.jfluidstructs.2020.102981](https://doi.org/10.1016/j.jfluidstructs.2020.102981)

* Goizueta, Norberto, del Carre, Alfonso, Muñoz-Simón, Arturo, & Palacios, Rafael. (2020, February). 
SHARPy: from a research code to an open-source software tool for the simulation of very flexible aircraft. 
RSLondonSouthEast 2020 Conference.
Zenodo: [http://doi.org/10.5281/zenodo.3641216](http://doi.org/10.5281/zenodo.3641216)

* Del Carre, A., Deskos, G., & Palacios, R. (2020). Realistic turbulence effects in low altitude dynamics of very 
flexible aircraft. In AIAA SciTech Forum (pp. 1–18). 
[https://doi.org/10.2514/6.2020-1187](https://doi.org/10.2514/6.2020-1187)

* Artola, M., Goizueta, N., Wynn, A., & Palacios, R. (2020). Modal-Based Nonlinear Estimation and Control for Highly 
Flexible Aeroelastic Systems. In AIAA SciTech Forum (pp. 1–23). 
[https://doi.org/10.2514/6.2020-1192](https://doi.org/10.2514/6.2020-1192)

* Muñoz-Simón, A., Wynn, A., & Palacios, R. (2020). Unsteady and three-dimensional aerodynamic effects on wind turbine 
rotor loads. In AIAA SciTech Forum. [https://doi.org/10.2514/6.2020-0991](https://doi.org/10.2514/6.2020-0991)

## 2019

* del Carre, A., Muñoz-Simón, A., Goizueta, N., & Palacios, R. (2019). SHARPy : A dynamic aeroelastic simulation toolbox 
for very flexible aircraft and wind turbines. Journal of Open Source 
Software, 4(44), 1885. [https://doi.org/10.21105/joss.01885](https://doi.org/10.21105/joss.01885)

* del Carre, A., Teixeira, P. C., Palacios, R., & Cesnik, C. E. S. (2019). Nonlinear Response of a Very Flexible 
Aircraft Under Lateral Gust. In International Forum on Aeroelasticity and Structural Dynamics.

* del Carre, A., & Palacios, R. (2019). Efficient Time-Domain Simulations in Nonlinear Aeroelasticity. In AIAA Scitech 
Forum (pp. 1–20). [https://doi.org/10.2514/6.2019-2038](https://doi.org/10.2514/6.2019-2038)

* Maraniello, S., & Palacios, R. (2019). State-Space Realizations and Internal Balancing in Potential-Flow Aerodynamics 
with Arbitrary Kinematics. AIAA Journal, 57(6), 2308-2321. 
[https://doi.org/10.2514/1.J058153](https://doi.org/10.2514/1.J058153)
